Skip to main content
`Ctrl`+`K`

# PetscRandomViewFromOptions

View a `PetscRandom` object based on the options database

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscRandomViewFromOptions(PetscRandom A, PetscObject obj, const char name[])

Collective

## Input Parameters

- A - the random number generator context

- obj - Optional object

- name - command line option

## See Also

`PetscRandom`, `PetscRandomView`, `PetscObjectViewFromOptions()`, `PetscRandomCreate()`

## Level

intermediate

## Location

src/sys/classes/random/interface/randomc.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages